<!-- Modal -->
<h1 mat-dialog-title>Crear dieta</h1>
<div mat-dialog-content>
    <form [formGroup]="form" (ngSubmit)="onSubmit()"  id="create-diet-form" class="d-flex">
        <mat-form-field appearance="fill">
            <mat-label>Nombre</mat-label>
            <input matInput placeholder="Nombre" formControlName="name" required>
        </mat-form-field>
        
        <mat-form-field appearance="fill">
            <mat-label>Descripción</mat-label>
            <textarea matInput placeholder="Descripción" formControlName="description"></textarea>
        </mat-form-field>

    </form>
</div>

<div mat-dialog-actions>
    <button mat-flat-button color="accent" type="submit" [disabled]="!form.valid" form="create-diet-form"  cdkFocusInitial>{{ 'actions.create' | translate}}</button>
</div>
